> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_macros.md).

# iai macros

Pre-approved response templates used in routines

## Synopsis

Manage macros in InteractiveAI projects.

Macros are reusable template replies and text snippets (Markdown/text format). No schema validation is applied — any text content is accepted.

## Options

```
  -h, --help   help for macros
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai macros create](/cli/iai_macros_create.md) - Create a macro
* [iai macros delete](/cli/iai_macros_delete.md) - Delete a macro
* [iai macros diff](/cli/iai_macros_diff.md) - Compare two versions of a macro
* [iai macros get](/cli/iai_macros_get.md) - Describe a macro in detail
* [iai macros list](/cli/iai_macros_list.md) - List macros in a project
* [iai macros update](/cli/iai_macros_update.md) - Update a macro (creates a new version)
* [iai macros versions](/cli/iai_macros_versions.md) - List versions of a macro


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_macros.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
